Page MenuHomePhabricator

Change the contract with the type/attribute parsing to let the dispatch handle the mnemonic
ClosedPublic

Authored by mehdi_amini on Nov 6 2021, 12:15 AM.

Details

Summary

This breaking change requires to remove printing the mnemonic in the print()
method on Type/Attribute classes.
This makes it consistent with the parsing code which alread handles the
mnemonic outside of the parsing method.

Depends On D113332

Diff Detail

Event Timeline

mehdi_amini created this revision.Nov 6 2021, 12:15 AM
mehdi_amini requested review of this revision.Nov 6 2021, 12:15 AM
rriddle accepted this revision.Nov 7 2021, 1:17 PM

Nice! This is much cleaner.

This revision is now accepted and ready to land.Nov 7 2021, 1:17 PM
aartbik accepted this revision.Nov 9 2021, 8:56 AM

Good for the sparse change

This revision was landed with ongoing or failed builds.Nov 9 2021, 4:49 PM
This revision was automatically updated to reflect the committed changes.